import { LitElement } from 'lit';
/**
 * Primary UI component for user interaction.
 * @fires on-click - Captures the click event and emits the original event details.
 * @csspart button - Styles to override the button
 */
export declare class Button extends LitElement {
    static styles: import("lit").CSSResultGroup;
    /** The kind of button to render. */
    kind: string;
    /** The button size. */
    size: string;
    /** Converts to an &lt;a&gt; tag to create a link. */
    href: string;
    /** Disables the button. */
    disabled: boolean;
    render(): import("lit-html").TemplateResult<1>;
    private handleClick;
}
declare global {
    interface HTMLElementTagNameMap {
        'kyn-button': Button;
    }
}
//# sourceMappingURL=button.d.ts.map